Subject: Re: bug#56046: [PATCH] services: mail: add opensmtpd records to enhance opensmtpd-configuration.

From: Joshua Branson <[email-masked]>
Date: Fri, 18 Aug 2023 07:16:18 -0400

Vivien Kraus <[email-masked]> writes:

> Hello guix,
>
> I would very much like to have better support (more modular) for
> opensmtpd. This patch series seems to go in the right direction. What
> is its status?
>
> Best regards,
>
> Vivien

So, I recently just got my email server up and running again, which is
awesome!  What is its status?

It works!  You can configure fairly basic email configurations.  You
should try to run it on your server.  This blog post walks you through how:

https://gnucode.me/submitting-opensmtpd-service-to-guixrus.html

You might not be able to use guix deploy with this service at the
moment.  You might have to ssh into your server and do a "guix system
reconfigure".  I fixed that bug, but have not pushed it to guixrus yet.

Feel free to ask me any questions.

In terms of upstreaming this to guix proper.  It seems like I should
* convert all of the (define-record-type* ...) -> (define-configuration)
* make sure all of the tests still work:
https://notabug.org/jbranso/guix/src/newOpensmtpdBranch/gnu/tests/mail.scm
* try to generate Tobias' smtpd.conf
* host a guix system is awesome party

There's a ton more in the task here:
https://notabug.org/jbranso/linode-guix-system-configuration/src/master/opensmtpd.org

Joshua